from .DataApiQuery import DataApiQuery, SamplingPeriod

"""This script contains the class inheriting everything except input/output_sampling 
period from the DataApiQuery class. This is where more specific functionailty 
should be added for the FilterApiQuery endpoint if/when changes need to be made"""


class FilterApiQuery(DataApiQuery):
    input_sampling_period: SamplingPeriod = SamplingPeriod.SECOND
    output_sampling_period: SamplingPeriod = SamplingPeriod.MINUTE

    # Remove inherited fields that we don't need for this specific endpoint
    class Config:
        fields = {"sampling_period": {"exclude": True}}
