from typing import Optional

from pydantic import BaseModel


class Diagnostics(BaseModel):
    """Computed diagnostics during calculation.

    Attributes
    ----------
    corrected_f: Optional[float] = None
    d_computed: Optional[float] = None
    horizontal_component: Optional[float] = None
    inclination: Optional[float] = None
    magnetic_azimuth_of_mark: Optional[float] = None
    magnetic_south_meridian: Optional[float] = None
    mean_mark: Optional[float] = None
    meridian: Optional[float] = None
    ordinate_d: Optional[float] = None
    ordinate_f: Optional[float] = None
    ordinate_h: Optional[float] = None
    ordinate_z: Optional[float] = None
    r_computed: Optional[float] = None
    vertical_component: Optional[float] = None
    """

    corrected_f: Optional[float] = None
    d_computed: Optional[float] = None
    horizontal_component: Optional[float] = None
    inclination: Optional[float] = None
    magnetic_azimuth_of_mark: Optional[float] = None
    magnetic_south_meridian: Optional[float] = None
    mean_mark: Optional[float] = None
    ordinate_d: Optional[float] = None
    ordinate_f: Optional[float] = None
    ordinate_h: Optional[float] = None
    ordinate_z: Optional[float] = None
    r_computed: Optional[float] = None
    vertical_component: Optional[float] = None
